<?php

// web routes  for master
Route::prefix('{guard}/example')->group(function () {
    Route::resource('master', 'MasterResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'MasterResourceController');
            });
            // Public routes for pages
            Route::get('examples/', 'MasterPublicController@index');
            Route::get('examples/{slug?}', 'MasterPublicController@show');
        }
    );
}


// web routes  for permission
Route::prefix('{guard}/example')->group(function () {
    Route::resource('permission', 'PermissionResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'PermissionResourceController');
            });
            // Public routes for pages
            Route::get('examples/', 'PermissionPublicController@index');
            Route::get('examples/{slug?}', 'PermissionPublicController@show');
        }
    );
}

