<?php

namespace Litepie\Example;

use User;

class Example
{
    /**
     * $master object.
     */
    protected $master;
    /**
     * $permission object.
     */
    protected $permission;

    /**
     * Constructor.
     */
    public function __construct(\Litepie\Example\Interfaces\MasterRepositoryInterface $master,
        \Litepie\Example\Interfaces\PermissionRepositoryInterface $permission)
    {
        $this->master = $master;
        $this->permission = $permission;
    }

    /**
     * Returns count of example.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.master.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->master->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\MasterUserCriteria());
        }

        $master = $this->master->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('example::' . $view, compact('master'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.permission.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->permission->pushCriteria(new \Litepie\Litepie\Repositories\Criteria\PermissionUserCriteria());
        }

        $permission = $this->permission->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('example::' . $view, compact('permission'))->render();
    }
}
