<?php

namespace Litepie\Example\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class MasterTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Example\Models\Master $master)
    {
        return [
            'id'                => $master->getRouteKey(),
            'key'               => [
                'public'    => $master->getPublicKey(),
                'route'     => $master->getRouteKey(),
            ], 
            'parent_id'         => $master->parent_id,
            'type'              => $master->type,
            'name'              => $master->name,
            'code'              => $master->code,
            'amount'            => $master->amount,
            'abbr'              => $master->abbr,
            'description'       => $master->description,
            'icon'              => $master->icon,
            'image'             => $master->image,
            'images'            => $master->images,
            'file'              => $master->file,
            'order'             => $master->order,
            'extras'            => $master->extras,
            'slug'              => $master->slug,
            'deleted_at'        => $master->deleted_at,
            'url'               => [
                'public'    => trans_url('example/'.$master->getPublicKey()),
                'user'      => guard_url('example/master/'.$master->getRouteKey()),
            ], 
            'status'            => trans('app.'.$master->status),
            'created_at'        => format_date($master->created_at),
            'updated_at'        => format_date($master->updated_at),
        ];
    }
}