<?php

namespace Litepie\Example\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PermissionTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Example\Models\Permission $permission)
    {
        return [
            'id'                => $permission->getRouteKey(),
            'key'               => [
                'public'    => $permission->getPublicKey(),
                'route'     => $permission->getRouteKey(),
            ], 
            'name'              => $permission->name,
            'slug'              => $permission->slug,
            'description'       => $permission->description,
            'deleted_at'        => $permission->deleted_at,
            'url'               => [
                'public'    => trans_url('example/'.$permission->getPublicKey()),
                'user'      => guard_url('example/permission/'.$permission->getRouteKey()),
            ], 
            'status'            => trans('app.'.$permission->status),
            'created_at'        => format_date($permission->created_at),
            'updated_at'        => format_date($permission->updated_at),
        ];
    }
}